# Class: GearConstraint

## Phaser.Physics.P2. GearConstraint

Physics GearConstraint Constructor

#### new GearConstraint(world, bodyA, bodyB, angle, ratio)

  Connects two bodies at given offset points, letting them rotate relative to each other around this point.

  ##### Parameters:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `world` | Phaser.Physics.P2 |  |  | A reference to the P2 World.
  `bodyA` | p2.Body |  |  | First connected body.
  `bodyB` | p2.Body |  |  | Second connected body.
  `angle` | number | <optional> | 0 | The relative angle
  `ratio` | number | <optional> | 1 | The gear ratio.

  Source:
    - physics/p2/GearConstraint.js, line 19

### Members

#### game

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | Local reference to game.

  Source:
    - physics/p2/GearConstraint.js, line 27

#### world

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `world` | Phaser.Physics.P2 | Local reference to P2 World.

  Source:
    - physics/p2/GearConstraint.js, line 32